Summary:        NetworkManager GUI library
Name:           libnma
Version:        1.10.6
Release:        4%{?dist}
License:        GPLv2+ and LGPLv2+
URL:            https://gitlab.gnome.org/GNOME/libnma/
Source0:        https://download.gnome.org/sources/libnma/1.10/%{name}-%{version}.tar.xz

Patch3000:      0001-nm-applet-no-notifications.patch

BuildRequires:  gcc meson pkgconfig
BuildRequires:  NetworkManager-libnm-devel
BuildRequires:  glib2-devel gtk3-devel
BuildRequires:  gobject-introspection-devel gettext-devel
BuildRequires:  iso-codes-devel gcr-devel gtk4-devel

%description
This package provides a library for integrating GUI tools with NetworkManager.

%package devel
Summary:        Header files for NetworkManager GUI library
Requires:       NetworkManager-libnm-devel
Requires:       libnma = %{version}-%{release}
Requires:       gtk3-devel
Requires:       pkgconfig

%description devel
This package provides header and pkg-config files for integrating GUI
tools with NetworkManager.

%package gtk4
Summary:        Experimental GTK 4 version of NetworkManager GUI library
Requires:       gtk4
Requires:       mobile-broadband-provider-info

%description gtk4
This package provides the experimental GTK4 version of library for
integrating GUI tools with NetworkManager.


%package gtk4-devel
Summary:        Header files for experimental GTK4 version of NetworkManager GUI library
Requires:       NetworkManager-libnm-devel
Requires:       libnma-gtk4 = %{version}-%{release}
Requires:       gtk4-devel
Requires:       pkgconfig

%description gtk4-devel
This package provides experimental GTK4 version of header and pkg-config files
for integrating GUI tools with NetworkManager.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%meson                     \
        -Dgcr=true         \
        -Dvapi=false       \
        -Dmobile_broadband_provider_info=false \
        -Dgtk_doc=false \
        -Dlibnma_gtk4=true

%meson_build

%install
%meson_install
%find_lang %{name}

%check
%meson_test


%files -f %{name}.lang
%license COPYING
%doc NEWS CONTRIBUTING
%{_libdir}/libnma.so.*
%{_libdir}/girepository-1.0/NMA-1.0.typelib
%{_datadir}/glib-2.0/schemas/org.gnome.nm-applet.eap.gschema.xml
%exclude %{_datadir}/glib-2.0/schemas/org.gnome.nm-applet.gschema.xml

%files devel
%{_datadir}/gir-1.0/NMA-1.0.gir
%{_includedir}/libnma
%{_libdir}/pkgconfig/libnma.pc
%{_libdir}/libnma.so

%files gtk4
%license COPYING
%{_libdir}/libnma-gtk4.so.*
%{_libdir}/girepository-1.0/NMA4-1.0.typelib

%files gtk4-devel
%{_datadir}/gir-1.0/NMA4-1.0.gir
%{_includedir}/libnma
%{_libdir}/pkgconfig/libnma-gtk4.pc
%{_libdir}/libnma-gtk4.so

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.10.6-4
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.10.6-3
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 24 2023 Miaojun Dong <zoedong@tencent.com> - 1.10.6-2
- Rebuild for gcr-4.1.0

* Fri Aug 18 2023 Wang Guodong <gordonwwang@tencent.com> - 1.10.6-1
- Upgrade to version 1.10.6

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.10.4-5
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.10.4-4
- Rebuilt for OpenCloudOS Stream 23

* Thu Feb 23 2023 Miaojun Dong <zoedong@tencent.com> - 1.10.4-3
- remove README.md

* Wed Dec 7 2022 Shuo Wang <abushwang@tencent.com> - 1.10.4-2
- re-build libnma in both gcr3\4

* Tue Dec 6 2022 Shuo Wang <abushwang@tencent.com> - 1.10.4-1
- update libnma for gcr4

* Wed Sep 7 2022 Shuo Wang <abushwang@tencent.com> - 1.8.40-1
- initial build
